Skip to content

Partially update a campaign by id or external source

Request

Security
bearerAuth and apiKeyAuth
Query
campaignIdstring

Campaign id

externalSourcestring

External source name

externalSourceIdstring

External source id

Bodyapplication/jsonrequired
namestring

Name of the campaign

descriptionstring

Description of the campaign

startDateinteger, (int64)
endDateinteger, (int64)
tagsArray of strings

Tags on the campaign

partnerCustomFieldsobject

Partner level custom fields on the campaign

clientCustomFieldsobject

Client level custom fields on the campaign

externalSourcestring

External system name

externalSourceIdstring

External system Id

visibilityobject(Visibility)

Visibility of the campaign

statusstring(CampaignStatus)

Status of the campaign

archivedboolean

True if the campaign is archived

externalCampaignDetailsArray of objects(ExternalCampaignDetails_beans)

External connector details for a campaign

curl -i -X PATCH \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/campaign?campaignId=string&externalSource=string&externalSourceId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "name": "string",
    "description": "string",
    "startDate": 0,
    "endDate": 0,
    "tags": [
      "string"
    ],
    "partnerCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "clientCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "externalSource": "string",
    "externalSourceId": "string",
    "visibility": {
      "globallyVisible": true,
      "visibilityConfig": [
        {
          "type": "string",
          "ids": [
            "string"
          ]
        }
      ]
    },
    "status": "string",
    "archived": true,
    "externalCampaignDetails": [
      {
        "connector": "string",
        "externalIds": [
          "string"
        ]
      }
    ]
  }'

Responses

Success

Bodyapplication/json
string(AssigneeType)
Response
"string"